VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue:

## Classes
class | Category

## Avaliable Methods
public method | set_category ()
public method | set_primitive_value ()
public method | get_list_value ()
public method | get_primitive_value ()
public method | get_category ()
public method | new ()
public method | set_list_value ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue` class contains the metamodel information of the constant element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue::get_category | ( |  | ) |

Gets the value of 'category' property.

Return values

  category | - The current value of the field. Category of the type of constant value. Category#

Code:
click to view
# Number of lines of code in get_category: 4
sub get_category {
my ($self, %args) = @_;
return $self->{'category'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue::get_list_value | ( |  | ) |

Gets the value of 'list_value' property.

Return values

  list_value | - The current value of the field. List value of the constant element. optional#

Code:
click to view
# Number of lines of code in get_list_value: 4
sub get_list_value {
my ($self, %args) = @_;
return $self->{'list_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue::get_primitive_value | ( |  | ) |

Gets the value of 'primitive_value' property.

Return values

  primitive_value | - The current value of the field. Primitive value of the constant element. optional#

Code:
click to view
# Number of lines of code in get_primitive_value: 4
sub get_primitive_value {
my ($self, %args) = @_;
return $self->{'primitive_value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'category',
'case_map' => {
'PRIMITIVE' => ['primitive_value'],
'LIST' => ['list_value'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{category} = $args{'category'};
$self->{primitive_value} = $args{'primitive_value'};
$self->{list_value} = $args{'list_value'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.constant_value');
$self->set_binding_field('key' => 'category', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ConstantValue::Category'));
$self->set_binding_field('key' => 'primitive_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'PrimitiveValue')));
$self->set_binding_field('key' => 'list_value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'PrimitiveValue'))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue::set_category | ( |  | ) |

Sets the given value for 'category' property.

Parameters

  category | - New value for the field. Category of the type of constant value.

Code:
click to view
# Number of lines of code in set_category: 5
sub set_category {
my ($self, %args) = @_;
$self->{'category'} = $args{'category'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue::set_list_value | ( |  | ) |

Sets the given value for 'list_value' property.

Parameters

  list_value | - New value for the field. List value of the constant element.

Code:
click to view
# Number of lines of code in set_list_value: 5
sub set_list_value {
my ($self, %args) = @_;
$self->{'list_value'} = $args{'list_value'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantValue::set_primitive_value | ( |  | ) |

Sets the given value for 'primitive_value' property.

Parameters

  primitive_value | - New value for the field. Primitive value of the constant element.

Code:
click to view
# Number of lines of code in set_primitive_value: 5
sub set_primitive_value {
my ($self, %args) = @_;
$self->{'primitive_value'} = $args{'primitive_value'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/ConstantValue.pm